package com.simuwang.base.common.enums;

import java.util.stream.Stream;

/**
 * FileName: EMAIL_CRON
 * Author:   chenjianhua
 * Date:     2024/9/9 13:50
 * Description: ${DESCRIPTION}
 */
public enum ParseStatus {
    //解析状态:1-成功,2-净值缺失，3-未匹配基金，4-净值<=0,5-资产净值<=0
    Success(1, "成功"), NavMiss(2, "净值缺失"),
    FundMiss(3, "未匹配基金"), NavLessthanZero(4, "净值<=0"),
    AssetLessthanZero(5, "资产净值<=0"),
    Fail(-1, "失败");

    private final Integer code;
    private final String info;

    ParseStatus(Integer code, String info){
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
